Subject: Re: KSH on Cygwin
From: Jon LaBadie <[email-masked]>
To: [email-masked]
Cc: Thomas Baker <[email-masked]>
Date: Tue, 18 Jun 2002 14:24:43 -0400

On Tue, Jun 18, 2002 at 03:10:01PM +0200, Corinna Vinschen wrote:
> On Tue, Jun 18, 2002 at 01:41:28PM +0200, Thomas Baker wrote:
> > I have been looking forward to KSH in particular, because
> > that is what it will take for me to move completely from MKS
> > Toolkit to Cygwin.  When I first installed Cygwin on the same
> 
> What I don't quite get is:  Is there actually any important
> feature in ksh which isn't already available in bash/tcsh/zsh?

Important is, of course, in the eye of the beholder.

I for one would not use tcsh or zsh.  I use bash under cygwin
rather than pdksh.  But that is only because ksh is not available.
In all other environments ksh is my default.  That is the main
importance of having it available under cygwin (to me).

As to explicit features lacking in bash (and/or others) I might include:

	floating point math
	non-posix functions with local environments
	a function PATH variable
	several special substitution capabilities like ${!array[*]}
	  which lists the current subscripts of array

Any proficient bash programmer may be able to point out my errors and
list lots of things bash has that ksh lacks.  And probably several will :(

-- 
Jon H. LaBadie                  [email-masked]
 JG Computing
 4455 Province Line Road        (609) 252-0159
 Princeton, NJ  08540-4322      (609) 683-7220 (fax)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/